import multiprocessing
import signal

from hc_spider import HCSpider

spider = None


def sigint_handler(*_) -> None:
    spider.stop()
    spider.join()
    exit()


if __name__ == '__main__':
    multiprocessing.freeze_support()
    signal.signal(signal.SIGINT, sigint_handler)
    spider = HCSpider()
    spider.start()
    spider.join()
